# $Revision: 1.75 $, $Date: 2003/08/05 21:00:02 $
#
# Conditional build:
# _without_static	- without static version
#
Summary:	Enhanced bourne shell
Summary(de):	Enhanced Bourne Shell
Summary(es):	Shell bourne mejorada
Summary(fr):	Bourne shell amlior
Summary(pl):	Ulepszona powoka Bourne'a
Summary(pt_BR):	Shell bourne melhorada
Summary(ru):	  (shell)   ksh,   
Summary(tr):	Gelimi bir BASH srm
Summary(uk):	  (shell)   ksh,   
Name:		zsh
Version:	4.1.1
Release:	3
License:	BSD-like
Group:		Applications/Shells
URL:		http://www.zsh.org/
Source0:	ftp://ftp.zsh.org/pub/zsh/%{name}-%{version}.tar.bz2
# Source0-md5:	48958b1a3fc86261a26eea40a4f7d4af
Source1:	%{name}.1.pl
Source2:	http://zsh.sunsite.dk/Guide/zshguide.pdf
# Source2-md5:	0d80ba1ef39052c512cfabf368f3bf20
Patch0:		%{name}-info.patch
Patch1:		%{name}-tinfo.patch
Patch2:		%{name}-addons.patch
Patch3:		%{name}-paths.patch
Patch4:		%{name}-no_nis.patch
Patch5:		%{name}-completions.patch
Patch6:		%{name}-zle_misc.patch
BuildRequires:	autoconf
%{!?_without_static:BuildRequires:	glibc-static}
BuildRequires:	libcap-devel
BuildRequires:	ncurses-devel >= 5.1
%{!?_without_static:BuildRequires:	ncurses-static}
BuildRequires:	pcre-devel
BuildRequires:	texinfo
PreReq:		grep
PreReq:		fileutils
Requires(post,preun):	grep
Requires(preun):	fileutils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	zsh-doc-html, zsh-doc-ps, zsh-doc-dvi

%define		_bindir		/bin
%define		specflags_ia32	"-fomit-frame-pointer"

%description
zsh is an enhanced version of the Bourne shell with csh additions and
most features of ksh, bash, and tcsh.

%description -l es
zsh es una versin mejorada del bourne shell con estas
caractersticas:
- muy prximo de la gramtica del ksh/sh, con adiciones csh,
- varias caractersticas del ksh, bash y tcsh,
- 75 funciones empotradas, 89 opciones, 154 combinaciones de teclas,
- seleccin,
- funciones shell ...y mucho ms.

%description -l ja
zsh Ūʥ󥷥ȤѲǽʥޥɥ󥿥꥿
Ǥꡢ륹ץȥޥɤǤޤ. zsh  ksh(the Korn
shell) ˻Ƥޤ,ʤĥƤޤ. zsh
ϥޥɥ饤ǤԽǽ, Ȥ߹ޤ줿ڥ뽤ǽ, ץߥ
ǽʥޥ䴰ǽ, (ưŪɤ)뵡ǽ, ҥȥ굡
ʤɤޤ.

%description -l pl
zsh jest ulepszon powok Bourne'a z elementami powoki csh. Posiada
wikszo cech ksh, bash i tcsh.

%description -l pt_BR
zsh  uma verso melhorada do bourne shell com essas caractersticas:
- muito prximo da gramtica do ksh/sh, com adies csh,
- vrias caractersticas do ksh, bash e tcsh,
- 75 funes embutidas, 89 opes, 154 combinaes de teclas,
- seleo,
- funes shell ...e muito mais.

%description -l ru
zsh -     ksh (Korn shell), 
  . zsh   
,   ,  
, shell- ( ),    
.

%description -l uk
zsh -   ,  դ ksh (Korn shell),  
 . zsh Цդ   ,
 æ ,   ,
shell-æ ( ), Ҧ    .

%package completions
Summary:	Files needed for advanced TAB-completion
Summary(pl):	Pliki potrzebne dla zaawansowanej TAB-completion
Group:		Applications/Shells
Requires:	%{name} = %{version}

%description completions
This package contains files needed for advanced tab completion in zsh.

%description completions -l pl
Ten pakiet zawiera pliki wymagane przez zsh dla zaawansowanej
TAB-completion.

%package static
Summary:	Statically linked Enhanced bourne shell
Summary(pl):	Zaawansowany bourne SHell - linkowany statycznie
Group:		Applications/Shells
Requires(post,preun):	grep
Requires(preun):	fileutils
Requires:	%{name} = %{version}

%description static
zsh is an enhanced version of the Bourne shell with csh additions and
most features of ksh, bash, and tcsh.

%description static -l pl
zsh jest ulepszon powok Bourne'a z elementami powoki csh. Posiada
wikszo cech ksh, bash i tcsh. W tym pakiecie jest statycznie
linkowany.

%package guide
Summary:	A User's Guide to the Z-Shell
Summary(pl):	Podrcznik Uytkownika Z-Shella
Group:		Applications/Shells
URL:		http://zsh.sunsite.dk/Guide/

%description guide
A User's Guide to the Z-Shell.

%description guide -l pl
Podrcznik Uytkownika Z-Shella.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p0

install %{SOURCE2} .

%build
%{__autoconf}

%if %{!?_without_static:1}%{?_without_static:0}
LDFLAGS="%{rpmldflags} -static"
%configure
%{__make}
mv -f Src/zsh Src/zsh.static
LDFLAGS="%{rpmldflags}"
%endif

%configure \
	--enable-maildir-support
%{__make}

cd Doc
makeinfo zsh.texi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_infodir},%{_sysconfdir},%{_bindir},%{_mandir}/pl/man1}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{!?_without_static:install Src/zsh.static $RPM_BUILD_ROOT%{_bindir}}
install Doc/zsh.info*	$RPM_BUILD_ROOT%{_infodir}

touch $RPM_BUILD_ROOT%{_sysconfdir}/{zlogout,zlogin,zshenv}
echo "setopt no_function_argzero" > $RPM_BUILD_ROOT%{_sysconfdir}/zprofile
echo ". %{_sysconfdir}/profile" >> $RPM_BUILD_ROOT%{_sysconfdir}/zprofile

cat << EOF > $RPM_BUILD_ROOT%{_sysconfdir}/zshrc
PS1='[%%n@%%m %%~]%%(!.#.%%\\$) '
bindkey -e >/dev/null 2>&1
alias which=whence

# xterm
bindkey \`tput khome\` beginning-of-line >/dev/null 2>&1
bindkey \`tput kend\` end-of-line >/dev/null 2>&1
bindkey \`tput kdch1\` delete-char >/dev/null 2>&1
bindkey \`tput kpp\` up-history >/dev/null 2>&1
bindkey \`tput knp\` end-of-history >/dev/null 2>&1
bindkey \`tput kcuu1\` history-beginning-search-backward >/dev/null 2>&1
bindkey \`tput kcud1\` history-beginning-search-forward >/dev/null 2>&1
EOF

rm -f Etc/Makefile*
find Functions Util StartupFiles -name .distfiles -o -name .cvsignore | xargs rm -f
install %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/pl/man1/zsh.1

# for kdesdk's completion
ln -sf %{version} $RPM_BUILD_ROOT%{_datadir}/zsh/latest

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
if [ ! -f /etc/shells ]; then
	echo "%{_bindir}/zsh" >> /etc/shells
else
	grep -q '^%{_bindir}/zsh$' /etc/shells || echo "%{_bindir}/zsh" >> /etc/shells
fi
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} > /dev/null 2>&1

%preun
if [ "$1" = "0" ]; then
	umask 022
	grep -v '^%{_bindir}/zsh$' /etc/shells > /etc/shells.new
	mv -f /etc/shells.new /etc/shells
fi

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} > /dev/null 2>&1

%post static
umask 022
if [ ! -f /etc/shells ]; then
	echo "%{_bindir}/zsh.static" >> /etc/shells
else
	grep -q '^%{_bindir}/zsh\.static$' /etc/shells || echo "%{_bindir}/zsh.static" >> /etc/shells
fi

%preun static
if [ "$1" = "0" ]; then
	umask 022
	grep -v '^%{_bindir}/zsh\.static$' /etc/shells > /etc/shells.new
	mv -f /etc/shells.new /etc/shells
fi

%files
%defattr(644,root,root,755)
%doc Etc/* README LICENCE ChangeLog META-FAQ Util StartupFiles
%attr(755,root,root) %{_bindir}/zsh
%config(noreplace,missingok) %verify(not md5 size mtime) %{_sysconfdir}/*
%dir %{_libdir}/zsh
%dir %{_libdir}/zsh/%{version}
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/latest
%dir %{_datadir}/zsh/%{version}
%dir %{_datadir}/zsh/%{version}/functions
%{_datadir}/zsh/%{version}/functions/[!_c]*
%{_datadir}/zsh/%{version}/functions/c[!o]*
%{_datadir}/zsh/%{version}/functions/co[!m]*
%attr(755,root,root) %{_libdir}/zsh/%{version}/*
%{_infodir}/zsh.info*
%{_mandir}/man1/zsh*.1*
%lang(pl) %{_mandir}/pl/man1/zsh*.1*

%files completions
%defattr(644,root,root,755)
%{_datadir}/zsh/%{version}/functions/comp*
%{_datadir}/zsh/%{version}/functions/_*

%files guide
%defattr(644,root,root,755)
%doc zshguide.pdf

%if %{!?_without_static:1}%{?_without_static:0}
%files static
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/zsh.static
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: zsh.spec,v $
Revision 1.75  2003/08/05 21:00:02  blues
- cosmetics

Revision 1.74  2003/07/30 22:53:47  gotar
- BR: libcap-devel, pcre-devel,
- release 3.

Revision 1.73  2003/07/29 13:00:47  gotar
- segfault fix by Wayne Davison <wayned^users$sourceforge.net>

Revision 1.72  2003/06/28 19:36:25  gotar
- -fomit-frame-pointer on ia32

Revision 1.71  2003/06/19 21:50:58  wolf
- rel down to 1

Revision 1.70  2003/06/19 14:22:33  gotar
- upgraded to 4.1.1

Revision 1.69  2003/06/06 06:08:21  ankry
- cosmetics

Revision 1.68  2003/05/26 16:25:55  malekith
- massive attack: adding Source-md5

Revision 1.67  2003/05/25 06:28:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.66  2003/04/24 23:04:32  gotar
- no more optimizations

Revision 1.65  2003/04/24 11:54:34  gotar
- added -Os to %optflags

Revision 1.64  2003/04/21 19:24:37  gotar
- switched to bz2 source

Revision 1.63  2003/04/21 18:35:39  gotar
- added -fomit-frame-pointer to %optflags

Revision 1.62  2003/04/21 15:52:51  wolf
- gotar's completions

Revision 1.61  2003/02/11 20:08:25  qboosh
- umask in scripts, other fixes/cosmetics where needed

Revision 1.60  2002/11/21 09:56:04  qboosh
- don't mess - moved that symlink to package; release 4

Revision 1.59  2002/11/21 00:29:55  radek
- this fancy ln(1) thing cannot be in %pre -- it fails on new
  installations, 'cause %{_datadir}/zsh belongs to (suprise) this package.

Revision 1.58  2002/11/17 15:37:46  wolf
- added gotar's fixes for xterm's home, end, del

Revision 1.57  2002/11/17 01:29:47  wolf
- added guide
- rel 3

Revision 1.56  2002/11/14 22:39:09  djurban
- Modified in order to work with kdesdk's completion.

Revision 1.55  2002/08/24 09:31:15  kloczek
- updated to 4.0.6.

Revision 1.54  2002/08/18 22:55:00  gotar
- Requires(post,preun): grep for main package and static subpackage,
- %verify flags for %config files,
- cosmetics,
- release 10,
- there's new version available, maybe someone would upgrade?

Revision 1.53  2002/07/27 15:34:02  kloczek
- releas 9: merge translations from TurboLinux and use new %doc.

Revision 1.52  2002/05/21 23:15:10  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.51  2002/05/11 19:13:46  migo
- Release: 7, STBR

Revision 1.50  2002/05/11 19:12:03  migo
- zsh now will be detected properly in /etc/profile, so Home/End and other
  keys will work by default

Revision 1.49  2002/04/13 06:13:08  kloczek
- merge translations from KSI.

Revision 1.48  2002/04/13 06:10:11  kloczek
- bump release to 6.

Revision 1.47  2002/02/22 23:30:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.46  2002/02/09 19:24:45  kloczek
- release 3,
- merge translations from Conectiva and adapterize spec file.

Revision 1.45  2002/02/08 08:57:13  filon
- updated to 4.0.4 (big buch of bugfixes)
- updated tinfo patch

Revision 1.44  2002/01/18 02:15:48  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.43  2001/11/15 23:26:06  ankry
- added pl man page
- release 6

Revision 1.42  2001/08/28 11:39:04  filon
- provides : which was very stupid, rolled back

Revision 1.41  2001/08/25 11:52:15  filon
- added alias which=whence to zshrc
- added Provides: which

Revision 1.40  2001/07/26 12:01:54  migo
- zsh-static comes back
- added _without_static bcond
- release 5; STB

Revision 1.39  2001/07/26 05:42:27  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.37  2001/07/19 07:37:25  migo
- moved some files from %doc to %{_datadir}
- added completions subpackage
- release++

Revision 1.36  2001/07/19 07:21:15  migo
- removed forgotten "%files static" section

Revision 1.35  2001/07/18 19:43:34  migo
- removed zsh-static subpackage (it was broken)

Revision 1.34  2001/07/15 16:46:27  qboosh
- prevent rpm from expanding "macros" in PS1
- added example zlogin/zshenv/zshrc to %%doc
- removed .distfiles and .cvsignore from %%doc

Revision 1.33  2001/07/11 20:07:53  kloczek
- release 3,
- added no_nis patch: remove all NIS/NIS+ feactures from zsh - glibs have
  very good NSS support - now zsh isn't linked with libnsl.

Revision 1.32  2001/07/04 15:51:42  kloczek
- bump release to 2.

Revision 1.31  2001/06/29 06:30:30  kloczek
- updated to 4.0.2,
- removed outdated patches and added paths patch (s#/usr/ucb#/usr/X11r6/bin#
  in default path).

Revision 1.30  2001/05/18 16:14:57  qboosh
- license is BSD-like, not GPL (added "LICENCE" with copyright notice)
- release 9

Revision 1.29  2001/03/20 18:19:15  qboosh
- rewritten (and simplified) post/preun scripts - they were buggy
- moved fix-info-dir to postun
- Prereq: fileutils, grep
- release 8

Revision 1.28  2001/03/14 17:44:36  qboosh
- s/preuni static/preun static/
- release 7

Revision 1.27  2001/03/11 12:16:16  kloczek
- simplifications in %files and added %%{_libdir}/zsh to %files.

Revision 1.26  2001/03/11 00:55:22  misiek
fixed _bindir; rel 6; stb

Revision 1.25  2000/12/05 18:22:49  misiek
PS1 more beautiful

Revision 1.24  2000/12/05 18:22:03  misiek
added PS1 setting in zshrc; process /etc/profile at login

Revision 1.23  2000/12/05 17:38:51  kloczek
- release 5: fixes in %post/%preun scripts.

Revision 1.22  2000/12/04 07:21:30  kloczek
- missing "static" in %preun script header.

Revision 1.21  2000/12/04 07:19:01  kloczek
- release 4,
- fix: remap only %%{_bindir} to /bin instead remapew %%{_exec_prefix}
  (this was cause placing man pages and additional modules in incorrect
  path),
- rewrite %post, %preun /etc/shell manipulation scripts like in pdksh and
  bash.

Revision 1.20  2000/10/02 23:10:51  kloczek
- release 3: adapterized and added using rpm new automation suit.

Revision 1.19  2000/09/24 21:09:03  kloczek
- removed doc subpackages.

Revision 1.18  2000/07/13 23:30:26  baggins
- release 2
- rebuild with ncurses 5.1

Revision 1.17  2000/06/09 07:55:17  kloczek
- more %%{__make} macros.

Revision 1.16  2000/06/09 07:24:26  kloczek
- added using %%{__make} macro.

Revision 1.15  2000/06/06 11:44:22  bonkey
- v.3.1.9
- huge doc package still in there ;-)

Revision 1.14  2000/06/05 14:33:52  kura
- updated to 3.1.8

Revision 1.13  2000/05/31 13:51:43  bonkey
- v.3.1.7
- added documentation
- static version
- removed zsh-config2.patch
- added zsh-sys_capability.patch zsh-cap_get_proc.patch
  zsh-tinfo.patch zsh-addons.patch
- some languages corrections
- added doc-{html,ps,dvi} packages
- full info documentation
- added maildir-support

Revision 1.12  2000/05/24 16:50:47  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.11  2000/05/23 14:27:35  kura
- updated to 3.1.7-pre-4

Revision 1.10  2000/05/21 16:53:31  kloczek
- spec adapterized.

Revision 1.9  2000/05/01 20:11:43  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.8  2000/04/17 06:51:03  kloczek
- spec adapteized.

Revision 1.7  2000/04/13 19:17:29  bonkey
- updated to 3.1.6-dev-22
- there is no static version, cause there is no libcap-static

Revision 1.6  2000/04/01 11:16:03  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:55:29  baggins
- translated kloczkish into english

Revision 1.4  1999/11/01 23:54:47  kloczek
- added staic subpacakage with staticaly linked zsh,
- added BuildRequires rules,
- added info and DESTDIR patches.

Revision 1.3  1999/10/25 00:04:44  kura
[3.1.6-3]
- added info documents
- small fixes

Revision 1.2  1999/09/04 15:17:23  kura
Updated to 3.1.6
Added more macros
Small fixes

Revision 1.1  1999/07/23 12:49:26  kura
- Initial RPM release
